package cn.yw.nhyw.nhywjtledydpgl.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("nhywjtledydpglDao")
public class NhywjtledydpglDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Nhywjtledydpgl(Map map) throws SQLException{
		this.insert("insert_Nhywjtledydpgl",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Nhywjtledydpgl(List batch) throws SQLException{
		this.insert("batch_insert_Nhywjtledydpgl",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Nhywjtledydpgl(Map map) throws SQLException{
		return this.update("update_Nhywjtledydpgl",map);
	}
	
	/**
	 * 修改经纬度
	 */
	public Integer updateJtydpJdWdByXh(Map map) throws SQLException{
		return this.update("updateJtydpJdWdByXh",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywjtledydpgl(Map map) throws SQLException{
		return this.delete("delete_Nhywjtledydpgl",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Nhywjtledydpgl(Map map) throws SQLException{
		return this.delete("batch_delete_Nhywjtledydpgl",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywjtledydpgl(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywjtledydpgl",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Nhywjtledydpgl(Map map) throws SQLException{
		return this.queryForPage("query_Nhywjtledydpgl",map);
	}

	/**
	 * 查询全部列表记录
	 */
	public List<Map> query_AllNhywjtledydpgl(Map map) throws SQLException{
		return this.queryForList("query_Nhywjtledydpgl", map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Nhywjtledydpgl(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywjtledydpgl",map);
	}
}
